API ReferenceVOIP Configurations
/public/voip-configs/{configurationId}
Path Parameters
configurationId*string
Header Parameters
X-API-Version?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://companion-api.napster.com/public/voip-configs/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"companionId": "string",
"name": "string",
"defaultLanguage": "string",
"externalClientProfile": null,
"functions": [
"string"
],
"faqCollections": [
"string"
],
"knowledgeBaseId": "string",
"webhookUrl": "string",
"providerSettings": {
"voiceId": "string",
"instructions": "string",
"initialSpeech": "string",
"temperature": 0,
"turnDetection": {
"threshold": 0,
"prefix_padding_ms": 0,
"silence_duration_ms": 0
},
"functions": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"appendFunctionPrompts": true,
"noiseReduction": {
"type": "nearField"
}
},
"created": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}